summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2014-11-27 01:12:59 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-11-27 01:12:59 +0700
commita24af07f3fdcbf29ac2be9cc6853cee4e66e815d (patch)
treeb0caf1eeb4a7133e03e76fde7709e183c6fba07b /network
parent01d8ce840e0f71fb13cf26cb13dfe89da261aa49 (diff)
downloadslackbuilds-a24af07f3fdcbf29ac2be9cc6853cee4e66e815d.tar.gz
slackbuilds-a24af07f3fdcbf29ac2be9cc6853cee4e66e815d.tar.xz
network/proxychains: Updated for version 4.8.1 + new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/proxychains/README10
-rw-r--r--network/proxychains/doinst.sh14
-rw-r--r--network/proxychains/proxychains.SlackBuild55
-rw-r--r--network/proxychains/proxychains.info12
-rw-r--r--network/proxychains/slack-desc10
5 files changed, 65 insertions, 36 deletions
diff --git a/network/proxychains/README b/network/proxychains/README
index 82e9ea76ee..1abb0629ee 100644
--- a/network/proxychains/README
+++ b/network/proxychains/README
@@ -1,7 +1,3 @@
-A tool that forces any TCP connection made by any given
-application to follow through proxy like TOR or any other
-SOCKS4, SOCKS5 or HTTP(S) proxy.
-
-Supported auth-types:
- "user/pass" for SOCKS4/5
- "basic" for HTTP.
+proxychains(-ng) is a preloader which hooks calls to sockets in
+dynamically linked programs and redirects it through one or more
+socks/http proxies.
diff --git a/network/proxychains/doinst.sh b/network/proxychains/doinst.sh
new file mode 100644
index 0000000000..102610fb44
--- /dev/null
+++ b/network/proxychains/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/proxychains.conf.new
diff --git a/network/proxychains/proxychains.SlackBuild b/network/proxychains/proxychains.SlackBuild
index efd6f8cfef..c2a6a8fb8b 100644
--- a/network/proxychains/proxychains.SlackBuild
+++ b/network/proxychains/proxychains.SlackBuild
@@ -1,11 +1,32 @@
#!/bin/sh
-# Slackware build script for GPLeo
-
-# Written by GPLeo <slackbuilds@gmail.com>
+# SlackBuild script for "proxychains".
+
+# Copyright -2014 GPLeo <slackbuilds@gmail.com>
+# Copyright 2014 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=proxychains
-VERSION=${VERSION:-4.2.0}
+VERSION=${VERSION:-4.8.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -22,9 +43,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS ChangeLog COPYING README TODO"
-
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -39,20 +57,20 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -60,22 +78,23 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- --localstatedir=/var \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
+make install install-config DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+( cd $PKG/etc/ ; mv $PRGNAM.conf $PRGNAM.conf.new )
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README TODO VERSION $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/proxychains/proxychains.info b/network/proxychains/proxychains.info
index 83aa3c4096..b990e9594d 100644
--- a/network/proxychains/proxychains.info
+++ b/network/proxychains/proxychains.info
@@ -1,10 +1,10 @@
PRGNAM="proxychains"
-VERSION="4.2.0"
-HOMEPAGE="http://proxychains.sourceforge.net/"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/proxychains-4.2.0.tar.xz"
-MD5SUM="84a36f5d688d5ca3fb4e9fa1572e7e04"
+VERSION="4.8.1"
+HOMEPAGE="https://github.com/rofl0r/proxychains-ng/"
+DOWNLOAD="http://downloads.sourceforge.net/project/proxychains-ng/proxychains-4.8.1.tar.bz2"
+MD5SUM="70f732a63c1a1d6cff90efe71d28d1b1"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="GPLeo"
-EMAIL="slackbuilds@gmail.com"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/network/proxychains/slack-desc b/network/proxychains/slack-desc
index c98569299f..37710d8985 100644
--- a/network/proxychains/slack-desc
+++ b/network/proxychains/slack-desc
@@ -6,13 +6,13 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-proxychains: ProxyChains (HTTP CONNECT and SOCKS proxy server client)
-proxychains:
-proxychains: A tool that forces any TCP connection made by any given
-proxychains: application to follow through proxy like TOR or any other
-proxychains: SOCKS4, SOCKS5 or HTTP(S) proxy.
+proxychains: proxychains (TCP and DNS through proxy server)
proxychains:
+proxychains: proxychains(-ng) is a preloader which hooks calls to sockets in
+proxychains: dynamically linked programs and redirects it through one or more
+proxychains: socks/http proxies.
proxychains:
+proxychains: Homepage: https://github.com/rofl0r/proxychains-ng/
proxychains:
proxychains:
proxychains: